Comment télécharger et installer ffmpeg à partir de Launchpad?

4

J'essaie de comprendre comment installer le package ffmpeg à partir de Launchpad .

Le site Web ffmpeg est lié à cette page lorsque vous essayez de le télécharger pour Linux.

    
posée shinvu 28.12.2016 - 18:52
la source

4 réponses

6

ffmpeg est disponible dans les dépôts officiels d'Ubuntu:
- xenial | Mises à jour de xenial | yakkety | yakkety-updates -

apt policy ffmpeg
ffmpeg:
  Installed: 7:3.0.5-0ubuntu0.16.10.1
  Candidate: 7:3.0.5-0ubuntu0.16.10.1
  Version table:
 *** 7:3.0.5-0ubuntu0.16.10.1 500
        500 http://archive.ubuntu.com/ubuntu yakkety-updates/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu yakkety-security/universe amd64 Packages
        100 /var/lib/dpkg/status
     7:3.0.2-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu yakkety/universe amd64 Packages

Pour l’installer, ouvrez un terminal et exécutez cette commande:

sudo apt install ffmpeg  

Il n'est pas nécessaire de télécharger ffmpeg à partir du tableau de bord.

Mettez à jour vos commentaires sur les packages manquants après une installation avec apt

Lorsque vous installez ffmpeg à l’aide de apt , les «paquets supplémentaires» s’installent automatiquement, peut-être que quelque chose ne va pas dans votre cas. Par exemple - ici ma configuration initiale - ces paquets ont été installés après avoir exécuté la commande sudo apt install ffmpeg :

ffmpeg (7:3.0.2-1ubuntu3)
i965-va-driver (1.7.1-1)
libaacs0 (0.8.1-1)
libass5 (0.13.2-1)
libavcodec57 (7:3.0.2-1ubuntu3)
libavdevice57 (7:3.0.2-1ubuntu3)
libavfilter6 (7:3.0.2-1ubuntu3)
libavformat57 (7:3.0.2-1ubuntu3)
libavresample3 (7:3.0.2-1ubuntu3)
libavutil55 (7:3.0.2-1ubuntu3)
libbdplus0 (0.1.2-1)
libbluray1 (1:0.9.3-2)
libbs2b0 (3.1.0+dfsg-2.2)
libchromaprint0 (1.3-1build1)
libcrystalhd3 (1:0.0~git20110715.fdd2f19-11build1)
libdc1394-22 (2.2.4-1)
libflite1 (2.0.0-release-2)
libgme0 (0.6.0-3)
libgsm1 (1.0.13-4)
libmodplug1 (1:0.8.8.5-2)
libmp3lame0 (3.99.5+repack1-9build1)
libopenal-data (1:1.17.2-1)
libopenal1 (1:1.17.2-1)
libopenjpeg5 (1:1.5.2-3.1)
libpostproc54 (7:3.0.2-1ubuntu3)
librubberband2v5 (1.8.1-6ubuntu2)
libschroedinger-1.0-0 (1.0.11-2.1build1)
libsdl1.2debian (1.2.15+dfsg1-4)
libshine3 (3.1.0-4)
libsoxr0 (0.1.2-1)
libssh-gcrypt-4 (0.7.3-1)
libswresample2 (7:3.0.2-1ubuntu3)
libswscale4 (7:3.0.2-1ubuntu3)
libtwolame0 (0.3.13-1.2)
libva1 (1.7.1-2)
libvdpau1 (1.1.1-3ubuntu1)
libx264-148 (2:0.148.2699+gita5e06b9-1)
libx265-79 (1.9-3)
libxvidcore4 (2:1.3.4-1)
libzvbi-common (0.2.35-11)
libzvbi0 (0.2.35-11)
mesa-va-drivers (12.0.3-1ubuntu2)
mesa-vdpau-drivers (12.0.3-1ubuntu2)
va-driver-all (1.7.1-2)
vdpau-driver-all (1.1.1-3ubuntu1)

Ceci provient d'une installation d'Ubuntu 16.10 - les packages et les versions sont différents dans les autres éditions.
Les autres paquets, tels que libavcodec-extra57 , qui fournit des dés / encodeurs supplémentaires ou des versions de dev doivent être installés manuellement. Si vous utilisez toujours Ubuntu 14.04, vous pouvez installer libav-tools (un fork de ffmpeg qui remplace temporairement ffmpeg dans Ubuntu 14.04).

    
réponse donnée cl-netbox 28.12.2016 - 18:55
la source
3

Vous n'avez pas correctement copié le lien Ubuntu-packages pour Vivid, Wily, Xenial du site Web de ffmpeg. Le lien correct est: lien . Sur cette page Web, vous pouvez afficher les paquets .deb disponibles pour téléchargement en dépliant les triangles blancs sur le côté gauche de la page. Les paquets ffmpeg sur ce site ont été mis à jour pour la dernière fois il y a deux semaines.

Dans Ubuntu 12.04, 16.04, 16.10, 17.04, 17.10 et 18.04 et versions ultérieures (mais pas 14.04), vous pouvez également installer ffmpeg à partir du terminal avec la commande suivante:

sudo apt-get install ffmpeg  
    
réponse donnée karel 28.12.2016 - 18:55
la source
1

Pour télécharger un programme hors du tableau de bord

Recherchez d'abord le fichier deb packagé pour votre version d'Ubuntu (un fichier deb pour Debian / Mint, etc. peut fonctionner pour Ubuntu - les fichiers RPM sont pour fedora / centos / redhat / suse). disponible pour différentes distributions) . Cela peut être gênant à trouver sur le tableau de bord (le lien est peut-être juste obsolète) - mais il est toujours possible d'utiliser quelque chose ( NOTE : lisez la dernière partie de la réponse avant d'essayer de ffmpeg ...):

  1. Accédez au code en haut
  2. Obtenez la branche la plus pertinente (par exemple vidid / ffmpeg pour 15.04)
  3. Trouvez une "recette" avec des versions réussies ( exemple ), puis téléchargez le fichier deb fichiers pour cela ( exemple ) - obtenez amd64 si possible pour 64 bits , utilisez les packages i*86 (pour 32 bits).

Si vous ne trouvez pas cela, vous pouvez généralement obtenir un téléchargement du code source (par exemple, pour 14.04, ici - la version du site ffmpeg est lien ). Vous devriez alors pouvoir le compiler et l'installer - les instructions sont disponibles ici , et généralement dans un fichier README dans les éléments que vous téléchargez. Veuillez noter que si vous n'utilisez pas checkinstall etc, vous devrez peut-être supprimer le package avec sudo make uninstall ou similaire pour supprimer le programme de compilation, d'où pourquoi il est généralement préférable d'utiliser des versions empaquetées

Ajouter un PPA

Le Launchpad peut mieux être utilisé avec les PPA, les instructions pour les utiliser peuvent être trouvées ici .

FFmpeg spécifiquement ...

La méthode que vous utilisez pour installer ffmpeg dépend de la version d'Ubuntu que vous utilisez. Pour les versions récentes prises en charge (depuis le 15.04 (vif), donc 16.04 et 16.10 actuellement), cela devrait fonctionner et obtiendra ffmpeg à partir des repos officiels ( ici ):

sudo apt-get install ffmpeg

Cependant, si vous utilisez 14.04 (et d’autres versions à partir de ce point), vous pouvez utiliser libav-tools un fork de ce projet

sudo apt-get install libav-tools

C’est parce que ffmpeg a été supprimé des dépôts ubuntu officiels pour quelques versions. Cependant, ffmpeg est toujours disponible à partir de sources tierces (telles que ffmpeg code source, PPA et deb downloads. Ceci est largement couvert here .

    
réponse donnée Wilf 28.12.2016 - 21:00
la source
1

Les binaires précompilés de Paraview n'ont pas besoin ou utilisent les libs de ffmpeg, donc je suppose que vous cherchez à construire Paraview avec le support de ffmpeg.

Dans ce cas, cela devrait le faire, il installera tous les paquets de 9 -dev. Probablement que vous n'en avez pas besoin tous, si vous le souhaitez, supprimez le dernier paquet pour obtenir une liste de 4 paquets de -dev.

sudo apt install libavcodec-dev libavformat-dev libavdevice-dev

Cela ne fait pas de mal d’avoir quelques "extra -dev" installés & amp; de nombreuses sources n'utiliseront que ce dont elles ont besoin / support.

    
réponse donnée doug 29.12.2016 - 17:22
la source

Lire d'autres questions sur les étiquettes